Uploaded image for project: 'TrueNAS'
  1. TrueNAS
  2. NAS-104228

Unable to download new iocage releases via iocage fetch

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Engineering Closed (View Workflow)
    • Priority: Low
    • Resolution: Not Applicable
    • Affects Version/s: 11.2-U7
    • Fix Version/s: N/A
    • Component/s: None
    • Labels:

      Description

      When using iocage fetch to grab new releases (so I can upgrade my v11.2-U7 Jails), I am getting the following error:

      root@fruitbowl:~ # iocage fetch
      Traceback (most recent call last):
        File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 601, in urlopen
          chunked=chunked)
        File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 387, in _make_request
          six.raise_from(e, None)
        File "<string>", line 2, in raise_from
        File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 383, in _make_request
          httplib_response = conn.getresponse()
        File "/usr/local/lib/python3.6/http/client.py", line 1331, in getresponse
          response.begin()
        File "/usr/local/lib/python3.6/http/client.py", line 297, in begin
          version, status, reason = self._read_status()
        File "/usr/local/lib/python3.6/http/client.py", line 258, in _read_status
          line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
        File "/usr/local/lib/python3.6/socket.py", line 586, in readinto
          return self._sock.recv_into(b)
      ConnectionResetError: [Errno 54] Connection reset by peer
      
      During handling of the above exception, another exception occurred:
      
      Traceback (most recent call last):
        File "/usr/local/lib/python3.6/site-packages/requests/adapters.py", line 440, in send
          timeout=timeout
        File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 639, in urlopen
          _stacktrace=sys.exc_info()[2])
        File "/usr/local/lib/python3.6/site-packages/urllib3/util/retry.py", line 357, in increment
          raise six.reraise(type(error), error, _stacktrace)
        File "/usr/local/lib/python3.6/site-packages/urllib3/packages/six.py", line 685, in reraise
          raise value.with_traceback(tb)
        File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 601, in urlopen
          chunked=chunked)
        File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 387, in _make_request
          six.raise_from(e, None)
        File "<string>", line 2, in raise_from
        File "/usr/local/lib/python3.6/site-packages/urllib3/connectionpool.py", line 383, in _make_request
          httplib_response = conn.getresponse()
        File "/usr/local/lib/python3.6/http/client.py", line 1331, in getresponse
          response.begin()
        File "/usr/local/lib/python3.6/http/client.py", line 297, in begin
          version, status, reason = self._read_status()
        File "/usr/local/lib/python3.6/http/client.py", line 258, in _read_status
          line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
        File "/usr/local/lib/python3.6/socket.py", line 586, in readinto
          return self._sock.recv_into(b)
      urllib3.exceptions.ProtocolError: ('Connection aborted.', ConnectionResetError(54, 'Connection reset by peer'))
      
      During handling of the above exception, another exception occurred:
      
      Traceback (most recent call last):
        File "/usr/local/bin/iocage", line 10, in <module>
          sys.exit(cli())
        File "/usr/local/lib/python3.6/site-packages/click/core.py", line 722, in __call__
          return self.main(*args, **kwargs)
        File "/usr/local/lib/python3.6/site-packages/click/core.py", line 697, in main
          rv = self.invoke(ctx)
        File "/usr/local/lib/python3.6/site-packages/click/core.py", line 1066, in invoke
          return _process_result(sub_ctx.command.invoke(sub_ctx))
        File "/usr/local/lib/python3.6/site-packages/click/core.py", line 895, in invoke
          return ctx.invoke(self.callback, **ctx.params)
        File "/usr/local/lib/python3.6/site-packages/click/core.py", line 535, in invoke
          return callback(*args, **kwargs)
        File "/usr/local/lib/python3.6/site-packages/iocage_cli/fetch.py", line 127, in cli
          ioc.IOCage().fetch(**kwargs)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/iocage.py", line 970, in fetch
          **kwargs).fetch_release()
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_fetch.py", line 232, in fetch_release
          rel = self.fetch_http_release(eol, _list=_list)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_fetch.py", line 428, in fetch_http_release
          req = requests.get(f"{self.server}/{self.root_dir}")
        File "/usr/local/lib/python3.6/site-packages/requests/api.py", line 72, in get
          return request('get', url, params=params, **kwargs)
        File "/usr/local/lib/python3.6/site-packages/requests/api.py", line 58, in request
          return session.request(method=method, url=url, **kwargs)
        File "/usr/local/lib/python3.6/site-packages/requests/sessions.py", line 508, in request
          resp = self.send(prep, **send_kwargs)
        File "/usr/local/lib/python3.6/site-packages/requests/sessions.py", line 618, in send
          r = adapter.send(request, **kwargs)
        File "/usr/local/lib/python3.6/site-packages/requests/adapters.py", line 490, in send
          raise ConnectionError(err, request=request)
      requests.exceptions.ConnectionError: ('Connection aborted.', ConnectionResetError(54, 'Connection reset by peer'))

      It seems I am unable to connect to download.freebsd.org, as per the following thread on the forums:

      https://www.ixsystems.com/community/threads/issue-getting-jail-releases.80642/#post-558752

      I am UK based with Sky as my ISP - using a VPN (NordVPN) from my PC I can connect to the above site via France/Spain, but not UK (and Norway) for some reason - I just randomly selected counties to try.

      I am also getting the same error when trying to create a Jail with the UI.

      I'm not sure if this a ISP issue or freebsd issue - but the error does need to be caught and managed by FreeNAS instead of failing.

        Attachments

          Attachments

            JEditor

              Issue Links

                Activity

                  People

                  Assignee:
                  waqar Waqar Ahmed
                  Reporter:
                  Hazimil Jonathan Burt
                  Votes:
                  1 Vote for this issue
                  Watchers:
                  3 Start watching this issue

                    Dates

                    Created:
                    Updated:
                    Resolved: